﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=11.8
@EndOfDesignText@
Sub Class_Globals
	
	
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize
	
End Sub

Public Sub InsertPage (ts As TabStrip, Index As Int, Page As Panel, Title As String)
	Dim jo As JavaObject = ts
	jo.GetFieldJO("pages").RunMethod("add", Array(Index, Page))
	jo.GetFieldJO("titles").RunMethod("add", Array(Index, Title))
	RefreshTabStrip(ts)
End Sub

'Return the removed page
Public Sub RemovePage (ts As TabStrip, Index As Int) As Panel
	If ts.CurrentPage >= Index Then ts.ScrollTo(0, False)
	Dim jo As JavaObject = ts
	Dim p As Panel = jo.GetFieldJO("pages").RunMethod("remove", Array(Index))
	jo.GetFieldJO("titles").RunMethod("remove", Array(Index))
	RefreshTabStrip (ts)
	Return p
End Sub

Public Sub RefreshTabStrip(ts As TabStrip)
	Dim jo As JavaObject = ts
	jo.RunMethod("resetAdapter", Null)
	jo.GetFieldJO("vp").RunMethodJO("getAdapter", Null).RunMethod("notifyDataSetChanged", Null)
	jo.GetFieldJO("tabStrip").RunMethod("notifyDataSetChanged", Null)
End Sub

Public Sub GetAllTabLabels (tabstrip As TabStrip) As List
	Dim jo As JavaObject = tabstrip
	Dim r As Reflector
	r.Target = jo.GetField("tabStrip")
	Dim tc As Panel = r.GetField("tabsContainer")
	Dim res As List
	res.Initialize
	For Each v As View In tc
		If v Is Label Then res.Add(v)
	Next
	Return res
   
End Sub

'visible->hidden, or hidden->visible
Public Sub toggleTab(TabStrip1 As TabStrip, tabName As String) As Boolean 
	For Each lbl As Label In GetAllTabLabels(TabStrip1)
		Log(lbl.Text)
		If lbl.Text=tabName Then
			lbl.Visible= lbl.Visible=False
			Return True 
		End If
	Next
	Return False 'incorrect tab name provided
End Sub